Subject: Re: [PATCH net-next 00/14] Wangxun 10 Gigabit Ethernet Driver

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 May 2022 08:57:48 -0700

On Thu, 12 May 2022 17:43:39 +0800 Jiawen Wu wrote:
> On Thursday, May 12, 2022 8:54 AM, Jakub Kicinski wrote:
> > On Wed, 11 May 2022 11:26:45 +0800 Jiawen Wu wrote:  
> > >  22 files changed, 22839 insertions(+)  
> > 
> > Cut it up more, please. Expecting folks to review 23kLoC in one sitting is
> > unrealistic. Upstream a minimal driver first then start adding features.  
> 
> I learned that the number of patches should not exceed 15 at a time, refer
> to the guidance document.
> May I ask your advice that the limit of one patch and the total lines?

There is no strict limit, but the reality is that we have maybe 
5 people reviewing code upstream and hundreds of developers typing 
and sending changes. So the process needs to be skewed towards making
reviewer's life easier, reviewers are the bottleneck.

So there is no easy way here. Remove as much code as possible to still
have functional driver and cut it up. Looks like you can definitely
drop all patches starting from patch 7 to begin with. But patches 1-6
are still pretty huge.